
#include<stdio.h>
#include<stdlib.h>
#include<unistd.h>
#include<signal.h>
#include<sys/types.h>
#include<syslog.h>
#include<string.h>

// void initdaemon(void);
//
//int main(void)
//{
//
//initdaemon();
//
//for(;;){
//   printf("helo\n");
//   sleep(1);
//   }
//return 0;
//}


void initdaemon(void){
pid_t pid;

if((pid = fork()) != 0){
   exit(0);
   }

setsid();

setsid();

signal(SIGHUP, SIG_IGN);

if((pid = fork()) != 0){
   exit(0);
   }

chdir("/usr/local/zither");

}
